import matplotlib.pyplot as plt
import numpy as np

def param_graph():
    ax = plt.gca()                                   # dÃƒÂ©finir les axes comme objet modifiable
    ax.spines['right'].set_color('none')             #effacer le bord droit
    ax.spines['top'].set_color('none')               #effacer le bord haut
    ax.spines['bottom'].set_position(('data',0))     # place l'axe des abscisses
    ax.spines['left'].set_position(('data',0))
    gradx = np.arange(-5,10,1)
    grady = np.arange(0,70,5)
    plt.xticks(gradx)
    plt.yticks(grady)
    plt.grid()
    plt.title("Courbe de la fonction f")

def f(x):
    return x*x

def g(x):
    if -4 <= x < -1: y = 1
    elif -1<=x<2 : y = x**2
    elif 2<=x<=8 : y = -x+6
    return y

def k(x):
    if -3 <= x < -1 : y = 3*x-2
    elif -1 <= x < 1 : y = -x-6
    elif 1 <= x <= 5 : y = 5*x-12
    return y

a=-4
b=8
n=1000
h=(b-a)/n
xab=[a+i*h for i in range(n+1)] #crÃ©e une liste de n+1 abscisses
imagesxab=[f(i) for i in xab] #crÃ©e une liste des n+1 images par la fonction f
plt.plot(xab,imagesxab,'r.',lw=3) #crÃ©e le tracÃ© des n+1 couples, en rouge, largeur du tracÃ© =3
param_graph()
plt.show()



